; ----------------------------------------------------------------------------
;
; AutoIt-Version: v3.2.0.1
;
; Programmname:   AutoIT Uninstaller
; Version:        1.00
;
; Idee:           Manuel Kbler
; Programmierer:  Manuel Kbler (GUIs, Funktionen)
;                 bernd670      (GUIs anzeigen)
; Mail:           mk-software@gmx.de
;
; Skript Function:
;    ...
;
; Danke an bernd670!
;
; ----------------------------------------------------------------------------


; ============================================================================
; ----------------------------------------
; AutoIT Options
; ----------------------------------------
Opt("GUICloseOnESC", 1) ; AutoIT Uninstaller wird beendet wenn ESC gedrckt wird
Opt("TrayIconHide", 1)  ; Verstecke das AutoIT Uninstaller-Icon in der Statusleiste


; ----------------------------------------
; Include
; ----------------------------------------
#include <GUIConstants.au3>


; ----------------------------------------
; Variablen-Deklarationen
; ----------------------------------------
Global $PROGRAMM_NAME = "AutoIT Uninstaller"
Global $PROGRAMM_VERSION = "v1.0"
Global $target = RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\...", "InstallPath")
; ============================================================================


; ============================================================================
; ----------------------------------------
; GUIs
; ----------------------------------------
; ----------------------------------------------------------------------------

; ----------------------------------------
; StartGUI
; ----------------------------------------
$GUI_Setup_Start = GUICreate($PROGRAMM_NAME & " " & $PROGRAMM_VERSION & "-Setup", 500, 370)

$id_label1 = GUICtrlCreateLabel("Willkommen zum " & $PROGRAMM_NAME & " " & $PROGRAMM_VERSION & " Deinstallations-Assistent", 180, 20, 300, 100)
GUICtrlSetFont(-3, 14, 400)
$id_label2 = GUICtrlCreateLabel("Willkommen im Deinstallationsprogramm fr " & $PROGRAMM_NAME & " " & $PROGRAMM_VERSION & ". Dieses Programm deinstalliert " & $PROGRAMM_NAME & " " & $PROGRAMM_VERSION & " auf Ihrem Computer." & @CRLF & @CRLF & "Wir empfehlen nachdrcklich, vor Ausfhren dieses Deinstallationsprogramms alle Windows-Programme zu beenden." & @CRLF & @CRLF & "Klicken Sie auf Abbrechen, um die Deinstallation zu beenden und alle laufenden Programme zu schlieen. Um mit dem Deinstallationsprogramm zu beginnen, klicken Sie auf Weiter.", 180, 80, 260, 160)
$id_pic1 = GUICtrlCreatePic(@ScriptDir & "\modern-wizard.bmp", 0, 0, 164, 314)
$id_label3 = GUICtrlCreateLabel("AutoIT Uninstaller v1.0", 20, 330, 260, 160)
GUICtrlsetState(-1, $GUI_DISABLE)
$id_button1 = GUICtrlCreateButton("&Deinstalliere", 274, 327, 100, 30)
$id_button2 = GUICtrlCreateButton("&Abbrechen", 387, 327, 100, 30)
; ----------------------------------------------------------------------------

; ----------------------------------------
; UninstallGUI
; ----------------------------------------
$GUI_Setup_Uninstall = GUICreate($PROGRAMM_NAME & " " & $PROGRAMM_VERSION & "-Setup", 500, 370)

$id_label4 = GUICtrlCreateLabel("Deinstalliere " & $PROGRAMM_NAME & " " & $PROGRAMM_VERSION, 20, 10, 300, 40)
GUICtrlSetFont(-3, 14, 100)
$id_progress1 = GUICtrlCreateProgress(20, 80, 460, 20)
GUICtrlSetData(-1, 0)
$id_label5 = GUICtrlCreateLabel("AutoIT Uninstaller v1.0", 20, 330, 260, 160)
GUICtrlsetState(-1, $GUI_DISABLE)
$id_button3 = GUICtrlCreateButton("&Abbrechen", 387, 327, 100, 30)
; ----------------------------------------------------------------------------

; ----------------------------------------
; EndGUI
; ----------------------------------------
$GUI_Setup_End = GUICreate($PROGRAMM_NAME & " " & $PROGRAMM_VERSION & "-Setup", 500, 370)

$id_label6 = GUICtrlCreateLabel("Die Deinstallation von " & $PROGRAMM_NAME & " " & $PROGRAMM_VERSION & " wird abgeschlossen", 180, 20, 300, 100)
GUICtrlSetFont(-3, 14, 400)
$id_label7 = GUICtrlCreateLabel($PROGRAMM_NAME & " " & $PROGRAMM_VERSION & " wurde auf Ihrem Computer deinstalliert." & @CRLF & @CRLF & 'Klicken Sie auf "Fertig stellen", um den Deinstallations-Assistenten zu schlieen.', 180, 80, 260, 160)
$id_pic1 = GUICtrlCreatePic(@ScriptDir & "\modern-wizard.bmp", 0, 0, 164, 314)
$id_label8 = GUICtrlCreateLabel("AutoIT Uninstaller v1.0", 20, 330, 260, 160)
GUICtrlsetState(-1, $GUI_DISABLE)
$id_button4 = GUICtrlCreateButton("&Fertg stellen", 274, 327, 100, 30)
$id_button5 = GUICtrlCreateButton("&Abbrechen", 387, 327, 100, 30)
; ----------------------------------------------------------------------------

; ----------------------------------------
; GUIs anzeigen
; ----------------------------------------
GUISetState(@SW_SHOW, $GUI_Setup_Start)

While 1
	$nMsg = GUIGetMsg()
	Switch $nMsg
		Case $GUI_EVENT_CLOSE
			_setup_close()


		; StartGUI
        Case $id_button1
            GUISetState(@SW_SHOW, $GUI_Setup_Uninstall)
            GUISetState(@SW_HIDE, $GUI_Setup_Start)
			_setup_uninstall()

		Case $id_button2
			_setup_close()


		; UninstallGUI
		Case $id_button3
			_setup_close()


		; EndGUI
        Case $id_button4
            GUISetState(@SW_HIDE, $GUI_Setup_End)
			Exit

		Case $id_button5
			_setup_close()

EndSwitch
WEnd
; ----------------------------------------------------------------------------

; ----------------------------------------
; Buttons aktivieren
; ----------------------------------------
Func _button_enablen()
	
	GUICtrlSetState($id_button1, $GUI_ENABLE)
	GUICtrlSetState($id_button2, $GUI_ENABLE)
	GUICtrlSetState($id_button3, $GUI_ENABLE)
	GUICtrlSetState($id_button4, $GUI_ENABLE)
	GUICtrlSetState($id_button5, $GUI_ENABLE)

EndFunc   ;==>_button_enablen

; ----------------------------------------
; Buttons deaktivieren
; ----------------------------------------
Func _button_disablen()
	
	GUICtrlSetState($id_button1, $GUI_DISABLE)
	GUICtrlSetState($id_button2, $GUI_DISABLE)
	GUICtrlSetState($id_button3, $GUI_DISABLE)
	GUICtrlSetState($id_button4, $GUI_DISABLE)
	GUICtrlSetState($id_button5, $GUI_DISABLE)

EndFunc   ;==>_button_disablen

; ----------------------------------------
; GUIs aktivieren
; ----------------------------------------
Func _gui_enablen()
	
	GUICtrlSetState($GUI_Setup_Start,   $GUI_ENABLE)
	GUICtrlSetState($GUI_Setup_Install, $GUI_ENABLE)
	GUICtrlSetState($GUI_Setup_End,     $GUI_ENABLE)
	
EndFunc   ;==>_gui_enablen

; ----------------------------------------
; GUIs deaktivieren
; ----------------------------------------
Func _gui_disablen()
	
	GUICtrlSetState($GUI_Setup_Start,   $GUI_DISABLE)
	GUICtrlSetState($GUI_Setup_Install, $GUI_DISABLE)
	GUICtrlSetState($GUI_Setup_End,     $GUI_DISABLE)
	
	
EndFunc   ;==>_gui_disablen
; ============================================================================


; ============================================================================
; ----------------------------------------
; Funktionen
; ----------------------------------------
; ----------------------------------------------------------------------------

; ----------------------------------------
; StartGUI
; ----------------------------------------
;
; Fr StartGUI gibt es keine Funktionen
;
; ----------------------------------------------------------------------------

; ----------------------------------------
; UninstallGUI
; ----------------------------------------
; Installieren
Func _setup_uninstall()
	
	GUICtrlSetData($id_progress1,   1)
	Sleep(1000)
	GUICtrlSetData($id_progress1,   2)
	Sleep(1000)
	GUICtrlSetData($id_progress1,   3)
	Sleep(1000)
	GUICtrlSetData($id_progress1,   4)
	Sleep(1000)
	GUICtrlSetData($id_progress1,   5)
	Sleep(1000)
	GUICtrlSetData($id_progress1,   6)
	Sleep(1000)
	GUICtrlSetData($id_progress1,   7)
	Sleep(1000)
	GUICtrlSetData($id_progress1,   8)
	Sleep(1000)
	GUICtrlSetData($id_progress1,   9)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  10)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  11)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  12)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  13)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  14)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  15)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  16)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  17)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  18)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  19)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  20)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  21)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  22)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  23)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  24)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  25)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  26)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  27)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  28)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  29)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  30)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  31)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  32)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  33)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  34)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  35)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  36)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  37)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  38)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  39)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  40)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  41)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  42)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  43)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  44)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  45)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  46)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  47)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  48)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  49)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  50)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  51)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  52)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  53)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  54)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  55)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  56)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  57)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  58)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  59)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  60)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  61)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  62)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  63)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  64)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  65)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  66)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  67)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  68)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  69)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  70)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  71)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  72)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  73)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  74)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  75)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  76)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  77)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  78)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  79)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  80)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  81)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  82)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  83)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  84)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  85)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  86)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  87)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  88)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  89)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  90)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  91)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  92)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  93)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  94)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  95)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  96)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  97)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  98)
	Sleep(1000)
	GUICtrlSetData($id_progress1,  99)
	Sleep(1000)
	GUICtrlSetData($id_progress1, 100)
	
	GUISetState(@SW_SHOW, $GUI_Setup_End)

EndFunc   ;==>_setup_uninstall

; ----------------------------------------------------------------------------

; ----------------------------------------
; EndGUI
; ----------------------------------------
;
; Fr EndGUI gibt es keine Funktionen
;
; ----------------------------------------------------------------------------

; ----------------------------------------
; Abbrechen
; ----------------------------------------
; Abbrechen
Func _setup_close()
	
	_button_disablen()
	_gui_disablen()
	
	If MsgBox(52, $PROGRAMM_NAME & " " & $PROGRAMM_VERSION & "-Setup", "Mchten Sie das " & $PROGRAMM_NAME & " " & $PROGRAMM_VERSION & "-Setup wirklich verlassen?") = 6 Then
		
		MsgBox(64, $PROGRAMM_NAME & " " & $PROGRAMM_VERSION & "-Setup", $PROGRAMM_NAME & " " & $PROGRAMM_VERSION & "-Setup wurde abgebrochen." & @CRLF & @CRLF & @CRLF & "Um die Deinstallation spter abzuschlieen, fhren Sie Setup erneut aus.")
		
		Exit
		
	Else
		
		_button_enablen()
		_gui_enablen()
		
	EndIf
	
EndFunc   ;==>_setup_close
; ============================================================================